> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rendernet.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive Asset

> The archive assets endpoint allows users to archive their uploaded assets. Users can send a list of asset ids to this endpoint to archive the associated assets.



## OpenAPI

````yaml post /pub/v1/assets/archive
openapi: 3.0.2
info:
  description: >-
    The Affogato API section provides a comprehensive set of APIs that allow you
    to create high-quality media content using textual and graphical inputs. By
    utilizing the features provided in this section, users can easily generate
    engaging visuals and media assets.You need an API key to use these APIs. To
    get your personal key, log in to Affogato, head to the account page at
    [Affogato](https://affogato.ai/account) and hit generate API key. Add this
    key as an X-API-Key header in the requests that you send.
  title: Affogato API
  version: '1.0'
servers: []
security: []
tags:
  - description: >-
      The Generation section allows users to create, view, and delete images on
      Rendernet.
    name: Generation
  - description: >-
      Explore all available resources that can be used for generating images on
      Rendernet. With this section, users can easily access key details about
      the resources at their disposal.
    name: Resources
  - description: Upload / Get information about assets that can be used for generation.
    name: Assets
paths:
  /pub/v1/assets/archive:
    post:
      tags:
        - Assets
      summary: Delete Assets
      description: >-
        The archive assets endpoint allows users to archive their uploaded
        assets. Users can send a list of asset ids to this endpoint to archive
        the associated assets.
      parameters:
        - description: >-
            API key needed to access our public endpoints. You can find yours
            under the 'Account' section of the website
          required: true
          schema:
            type: string
            title: X-API-KEY
            description: >-
              API key needed to access our public endpoints. You can find yours
              under the 'Account' section of the website
          name: X-API-KEY
          in: header
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ArchiveAssetsRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ArchiveAssetsSuccessResponse'
          description: A list of deleted assets
components:
  schemas:
    ArchiveAssetsRequest:
      properties:
        ids:
          items:
            $ref: '#/components/schemas/AssetId'
          type: array
      type: object
    ArchiveAssetsSuccessResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ArchivedAssetItem'
          type: array
        err:
          $ref: '#/components/schemas/Error'
          description: The error if the request was not successful
          type: object
      type: object
    AssetId:
      example: ast_01
      type: string
    ArchivedAssetItem:
      properties:
        data:
          $ref: '#/components/schemas/AssetDetails'
          description: The details of the asset
          type: object
        id:
          description: The id of the asset
          example: asset_id
          type: string
        status:
          description: The status of the asset
          example: archive
          type: string
        tags:
          description: The tags associated with the asset.
          example:
            - api
          items:
            type: string
          type: array
        type:
          description: The type of the asset
          example: image
          type: string
      type: object
    Error:
      properties:
        code:
          description: The error specific code
          example: error_code
          type: string
        message:
          description: The error message
          example: error_message
          type: string
      type: object
    AssetDetails:
      properties:
        size:
          $ref: '#/components/schemas/ImageSize'
          description: The size of the asset
          type: object
        url:
          description: The url of the asset
          example: object-url
          type: string
      type: object
    ImageSize:
      type: object
      properties:
        height:
          description: The height of the image
          example: 512
          type: integer
        width:
          description: The width of the image
          example: 512
          type: integer
      required:
        - height
        - width

````